Last Comment Bug 994562 - Linux: Animated panels (security doorhanger, history panel, bookmarks panel, downloads panel, ...) are invisible/hidden/flash briefly/do not open
: Linux: Animated panels (security doorhanger, history panel, bookmarks panel, ...
Status: VERIFIED FIXED
[qa-]
: regression
Product: Toolkit
Classification: Components
Component: XUL Widgets (show other bugs)
: Trunk
: x86_64 Linux
-- major with 2 votes (vote)
: mozilla32
Assigned To: Neil Deakin
:
: Neil Deakin
Mentors:
: 994434 995902 996567 998542 1002813 1002871 1003130 1003807 1005714 1006083 1006865 1007669 1015398 (view as bug list)
Depends on: 1001234
Blocks: 610545
  Show dependency treegraph
 
Reported: 2014-04-10 01:41 PDT by Magnus P
Modified: 2014-06-30 15:40 PDT (History)
38 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [bugday-20140505]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
unaffected
+
unaffected


Attachments
workaround (1.83 KB, patch)
2014-04-14 00:26 PDT, Jan Beich
no flags Details | Diff | Splinter Review
workaround, v0.1 (1.99 KB, patch)
2014-04-14 09:49 PDT, Jan Beich
no flags Details | Diff | Splinter Review
workaround, limited opacity transition (1.81 KB, patch)
2014-04-18 05:00 PDT, Jan Beich
no flags Details | Diff | Splinter Review
workaround, no opacity transition (1.74 KB, patch)
2014-04-18 05:22 PDT, Jan Beich
no flags Details | Diff | Splinter Review
workaround, limited opacity transition (1.74 KB, patch)
2014-04-18 05:36 PDT, Jan Beich
enndeakin: review+
Details | Diff | Splinter Review
screencast (120fps), limited opacity transition patch, no X compositor (838.04 KB, video/webm)
2014-04-18 07:43 PDT, Jan Beich
no flags Details
screencast (120fps), limited opacity transition patch, with X compositor (890.92 KB, video/webm)
2014-04-18 07:45 PDT, Jan Beich
no flags Details

Description User image Magnus P 2014-04-10 01:41:23 PDT
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:31.0) Gecko/20100101 Firefox/31.0 (Beta/Release)
Build ID: 20140409030203

Steps to reproduce:

I click on the download panel button on the UI as usual.


Actual results:

Sometimes it's unresponsive, other times it flashes briefly before closing again.


Expected results:

The download panel should open.
Comment 1 User image B.J. Herbison 2014-04-10 02:07:44 PDT
Happens for me also on Ubuntu, no problem on Windows 7.
Comment 2 User image Alice0775 White 2014-04-10 04:03:19 PDT
I can reproduce on ubuntu12.04 GNOME Classic(No effects)

Regression window
Good:
https://hg.mozilla.org/integration/mozilla-inbound/rev/878193cac6b7
Mozilla/5.0 (X11; Linux i686; rv:31.0) Gecko/20100101 Firefox/31.0 ID:20140408052319
Bad:
https://hg.mozilla.org/integration/mozilla-inbound/rev/c2c661f15fcd
Mozilla/5.0 (X11; Linux i686; rv:31.0) Gecko/20100101 Firefox/31.0 ID:20140408054720
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=878193cac6b7&tochange=c2c661f15fcd

Regressed by: Bug 610545
Comment 3 User image Magnus P 2014-04-11 01:53:28 PDT
Bug appears to be on all panels like ssl certificate panel and bookmark panel. Customization panel and menu panel seem fine to me.
Comment 4 User image B.J. Herbison 2014-04-12 03:06:38 PDT
*** Bug 994434 has been marked as a duplicate of this bug. ***
Comment 5 User image B.J. Herbison 2014-04-12 04:25:08 PDT
This also prevents the activation of plugins. On support.addthis.com/customer/portal/articles/381276-flash-examples I can't start flash either by clicking on the plugin or via the spot in the URL bar, the menu doesn't come up.
Comment 6 User image Jan Beich 2014-04-13 12:59:29 PDT
Bug 980220 fixed similar issue by tuning Linux theme to degrade better without X compositor.
Comment 7 User image Alice0775 White 2014-04-13 13:45:39 PDT
(In reply to Jan Beich from comment #6)
> Bug 980220 fixed similar issue by tuning Linux theme to degrade better
> without X compositor.

Unfortunately, Bug 980220 did not fix this problem on Ubuntu12.04 GNOME Classic(No effects).
https://hg.mozilla.org/integration/fx-team/rev/6d956b7f8f6e
Mozilla/5.0 (X11; Linux i686; rv:31.0) Gecko/20100101 Firefox/31.0 ID:20140413112937
Comment 8 User image B.J. Herbison 2014-04-13 15:24:57 PDT
(In reply to Jan Beich from comment #6)
> Bug 980220 fixed similar issue by tuning Linux theme to degrade better without X compositor.

The situation is improved for the bookmarks menu today. It now appears about one in ten clicks. I've never seen the download panel or the panel for approving add-ons since this issue started.

I've also noticed that when the bookmarks menu doesn't appear it is (at least often) still active.

This stealth mode has allowed me to activate my commonly used bookmarks from the keyboard and has kept me from switching browsers so far. (I don't know if this invisible but active state also applies to other panels. I don't have practice using those from the keyboard.)
Comment 9 User image Jan Beich 2014-04-14 00:26:36 PDT
Created attachment 8405993 [details] [diff] [review]
workaround
Comment 10 User image Jan Beich 2014-04-14 09:49:04 PDT
Created attachment 8406236 [details] [diff] [review]
workaround, v0.1

regression fix for either transparent or black-tinted Menu popup in previous patch
Comment 11 User image Octoploid 2014-04-14 09:52:20 PDT
Also the animation looks cheesy. If I wanted animated menus I would adjust my windowmanager.
Please revert.
Comment 12 User image Paul Silaghi, QA [:pauly] 2014-04-15 02:19:37 PDT
*** Bug 995902 has been marked as a duplicate of this bug. ***
Comment 13 User image Neil Deakin 2014-04-16 12:24:15 PDT
I'm assuming that this is a issue on Linux only with/without a compositor or something like that. So we can likely either something like the patch above, (although I haven't tested it myself), or just disable the animation on Linux for now.

For the patch in comment 10, the changes need to be made in xul.css instead of the Linux-specific popup.css so that it works on other themes. Conditionals can be used here to make it Linux specific.

For disabling the transition, this would involve putting the arrow panel related styles in xul.css inside a not Linux conditional block. You could also or instead add a default animate="false" on Linux to the arrow panel's binding.

For all of the above, the same applies to the bookmarks menu which uses different styles related to #BMB_bookmarksPopup.
Comment 14 User image :Gijs 2014-04-17 05:22:54 PDT
*** Bug 996567 has been marked as a duplicate of this bug. ***
Comment 15 User image Nix\ 2014-04-17 05:58:29 PDT
(In reply to Neil Deakin from comment #13)
> I'm assuming that this is a issue on Linux only with/without a compositor or
> something like that. So we can likely either something like the patch above,
> (although I haven't tested it myself), or just disable the animation on
> Linux for now.
> 
> For the patch in comment 10, the changes need to be made in xul.css instead
> of the Linux-specific popup.css so that it works on other themes.
> Conditionals can be used here to make it Linux specific.
> 
> For disabling the transition, this would involve putting the arrow panel
> related styles in xul.css inside a not Linux conditional block. You could
> also or instead add a default animate="false" on Linux to the arrow panel's
> binding.
> 
> For all of the above, the same applies to the bookmarks menu which uses
> different styles related to #BMB_bookmarksPopup.

My bug was marked as duplicated of this bug, see the screencast that I recorded about this please.
I use CentOS 6.5 with NO composition or similar, and the bug appear un 2014-04-08 31, is present too in bookmarks mini-window after add a new site.
Comment 16 User image Nix\ 2014-04-17 06:01:28 PDT
screencast of the bug, CentOS 6.5 i686 gnome 2.28 no composition enabled:

https://bugzilla.mozilla.org/show_bug.cgi?id=996567
Comment 17 User image Nix\ 2014-04-17 06:05:53 PDT
(In reply to Neil Deakin from comment #13)
> I'm assuming that this is a issue on Linux only with/without a compositor or
> something like that. So we can likely either something like the patch above,
> (although I haven't tested it myself), or just disable the animation on
> Linux for now.
> 
> For the patch in comment 10, the changes need to be made in xul.css instead
> of the Linux-specific popup.css so that it works on other themes.
> Conditionals can be used here to make it Linux specific.
> 
> For disabling the transition, this would involve putting the arrow panel
> related styles in xul.css inside a not Linux conditional block. You could
> also or instead add a default animate="false" on Linux to the arrow panel's
> binding.
> 
> For all of the above, the same applies to the bookmarks menu which uses
> different styles related to #BMB_bookmarksPopup.

I Agree.
Comment 18 User image Jan Beich 2014-04-18 05:00:00 PDT
Created attachment 8408940 [details] [diff] [review]
workaround, limited opacity transition

Only |opacity| transition becomes broken without X compositor, |transform| still looks fine. No need for |animate="false"| unless it looks better than without.

ifdefs used aren't limited to Linux per bug 948946
Comment 19 User image Jan Beich 2014-04-18 05:22:15 PDT
Created attachment 8408944 [details] [diff] [review]
workaround, no opacity transition

May or may not look better without X compositor than if transition uses black color in place of translucency.
Comment 20 User image Jan Beich 2014-04-18 05:36:02 PDT
Created attachment 8408949 [details] [diff] [review]
workaround, limited opacity transition

Oops, limit to X11 as compositing on non-X11 (e.g. Wayland) may behave differently.
Comment 21 User image Jan Beich 2014-04-18 07:43:10 PDT
Created attachment 8408972 [details]
screencast (120fps), limited opacity transition patch, no X compositor

Black tint, visible black background and choppy animation are transition artifacts without X compositor.
Comment 22 User image Jan Beich 2014-04-18 07:45:02 PDT
Created attachment 8408975 [details]
screencast (120fps), limited opacity transition patch, with X compositor
Comment 23 User image Benjamin Kerensa [:bkerensa] 2014-04-18 09:41:29 PDT
Tracking this due to user impact and regression.
Comment 24 User image Alice0775 White 2014-04-23 23:52:02 PDT
It is time to backed out Bug 610545 for next ESR31.
Comment 25 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2014-04-24 18:06:21 PDT
*** Bug 998542 has been marked as a duplicate of this bug. ***
Comment 26 User image B.J. Herbison 2014-04-28 10:44:28 PDT
The situation is much worse with today's build. I've been getting by with typing characters to an invisible bookmarks menu, but that has stopped working. (An I still can't enable plugins.)

As Alice said: It is time to back out Bug 610545 for next ESR31.
Comment 27 User image :Gijs 2014-04-29 01:42:26 PDT
*** Bug 1002871 has been marked as a duplicate of this bug. ***
Comment 28 User image Francesca Ciceri [:madamezou] 2014-04-29 13:30:42 PDT
Hi,

experimented this one first time today with Mozilla/5.0 (X11; Linux x86_64; rv:32.0) Gecko/20100101 Firefox/32.0 ID:20140429030201 CSet: d7c07694f339 (Debian Sid). Happens in Safe Mode and with a clean profile also, with the default theme.
The Download menu is affected as well.

Let me know if you need more info.

Cheers,
Francesca
Comment 29 User image Jan Beich 2014-04-29 16:27:30 PDT
Comment on attachment 8408949 [details] [diff] [review]
workaround, limited opacity transition

This patch tries to follow bug 980220 example where X compositor look doesn't degrade much. If you do not agree, attachment 8408944 [details] [diff] [review] has less animation, still with artifacts, but provides more consistent look between with/without X compositor (no screencast yet).
Comment 30 User image Marco Bonardo [::mak] 2014-04-30 00:11:08 PDT
*** Bug 1003130 has been marked as a duplicate of this bug. ***
Comment 31 User image Chris Siebenmann 2014-04-30 12:13:12 PDT
I'm another Linux user affected by this issue. If it helps, I'm using
FVWM with an ATI card and the open-source drivers on Fedora 20 (exact
details available if they're helpful). For me, the problem is that
various panels are invisible or do not open.

I used Mercurial bisection to identify the exact changeset that introduces
the problem for me and it is e4f3408af361, 'Bug 610545, arrow panels
should animate when opening and when cancelling, r=neil,dao'.

The patch from comment 29 works but the result doesn't look particularly
good on my system; the animation feels slow and obtrusive. I personally
would prefer no animation and the panels to just appear and disappear
promptly (as they did before this issue showed up, which I believe means
before bug 610545 landed).
Comment 32 User image Neil Deakin 2014-05-02 08:10:08 PDT
Chris, or others, does this patch in this bug fix the problem for you?
Comment 33 User image Chris Siebenmann 2014-05-02 08:25:09 PDT
The patch attachment from comment 29 'works' in that panels appear.
The appearance and disappearance animation looks ugly and jerky,
especially the disappearance animation (where large black sections
visibly blink into existence for large panels). The screencast from
comment 22 is a mild but representative example; watch the sections
of black tear into and out of existence.

(It's mild because the panels are small.)

If there is another patch that I should try, let me know which one
it is. I'm a bit lost in all of the versions of things in this bug
(many of them marked as superseded).

Based on the patch attachment from comment 29, I believe that the entire
transition animations should be backed out on Linux and things reverted
to the pre Bug 610545 state. There are clearly a noticeable number of
Linux users affected by this and the 'fixed' version here is slow and
brutally ugly.

(As one anecdotal data point, I've stopped updating my 'tip of tree'
build version because I can't stand the new animation.)
Comment 34 User image :Gijs 2014-05-02 16:41:33 PDT
*** Bug 1003807 has been marked as a duplicate of this bug. ***
Comment 35 User image Dão Gottwald [:dao] 2014-05-05 12:37:53 PDT
*** Bug 1006083 has been marked as a duplicate of this bug. ***
Comment 36 User image :Gijs 2014-05-05 15:43:30 PDT
*** Bug 1005714 has been marked as a duplicate of this bug. ***
Comment 37 User image Dão Gottwald [:dao] 2014-05-06 02:51:19 PDT
*** Bug 1002813 has been marked as a duplicate of this bug. ***
Comment 38 User image Chris Siebenmann 2014-05-06 07:55:01 PDT
For the record: I like the patch in bug 1001234 significantly more than
the patch in comment 29. The former patch avoids the visible 'tearing'
and black chunks that appear with the comment 29 patch. (This may be
unnecessary to mention, since it looks like the patch from bug 1001234
is being integrated, but I'm throwing it in for the record.)
Comment 39 User image :Gijs 2014-05-06 15:48:49 PDT
*** Bug 1006865 has been marked as a duplicate of this bug. ***
Comment 40 User image Nix\ 2014-05-07 13:12:55 PDT
This bug of nighttly was landed in Aurora 31a02. What version was patched actually?.
Actually Firefox Aurora Latest i686 have the bug working on CentOS 6.5 i686.
Comment 41 User image Nix\ 2014-05-07 13:18:32 PDT
The bug is fixed in firefox-32.0a1.es-AR.linux-i686.tar.bz2.
Landed the same bug in Aurora 310a2 too, is a good idea a new tarball with the patch in Aurora branch.
Comment 42 User image Dão Gottwald [:dao] 2014-05-08 07:06:47 PDT
*** Bug 1007669 has been marked as a duplicate of this bug. ***
Comment 43 User image Frederik Braun [:freddyb] 2014-05-08 07:21:53 PDT
Despite being resolved it still affects users of aurora on linux. A lot of features are close to be unusable for a lot of people. Would it make sense to request an uplift?
Comment 44 User image Loïc 2014-05-27 04:47:53 PDT
*** Bug 1015398 has been marked as a duplicate of this bug. ***
Comment 45 User image nemo 2014-05-27 07:31:45 PDT
FWIW, bug #1015398 is in that alpha branch that comment #43 points out is lacking the backport.  So, I guess properly duped, but unfixed for people on the alpha.  Does that mean it'll eventually hit beta and stable too?
Comment 46 User image nemo 2014-05-28 02:54:55 PDT
Eh. n/m. I fail at reading comments. Sorry.  It *was* backported.
"Version 31.0a2: Bug 1015398 and bug 994562 not reproducible (presumably fixed)."

Sorry, was just a tad worried since allll my machines over here are linux and didn't want to have to support a bunch of confused relatives.
Comment 47 User image (Currently slow to respond) Philipp Sackl [:phlsa] (Firefox UX) please use needinfo 2014-05-28 05:47:31 PDT
Comment on attachment 8408949 [details] [diff] [review]
workaround, limited opacity transition

This seems to be fixed, so I'm cancelling ui-review.
Sorry for not acting on it, somehow this flew by me without myself noticing.
Comment 48 User image Sylvestre Ledru [:sylvestre] 2014-06-16 06:22:09 PDT
Neil, can we have an uplift request for beta? Thanks
Comment 49 User image Francesca Ciceri [:madamezou] 2014-06-23 10:31:29 PDT
Hi,

reproduced on Firefox/31.0 ID:20140414030203 and verified the fix on latest Aurora (32.0a2 2014-06-23) on Debian (Linux) x86_64.

Thanks for fixing it: it was really irritating :)

Cheers,
Francesca
Comment 50 User image Marco Mucci [:MarcoM] 2014-06-23 10:33:19 PDT
Hi Neil, can you provide a point value and if the bug should be marked as [qa+] or [qa-].
Comment 51 User image Neil Deakin 2014-06-23 10:40:13 PDT
The animation is disabled on Linux, so this patch doesn't do anything currently and hasn't been checked in anywhere.
Comment 52 User image Francesca Ciceri [:madamezou] 2014-06-23 10:42:51 PDT
(In reply to Neil Deakin from comment #51)
> The animation is disabled on Linux, so this patch doesn't do anything
> currently and hasn't been checked in anywhere.

Ops, so that's why it seemed fixed during verification. :)
Should I change it back from Verified to Resolved?

Cheers,
Francesca
Comment 53 User image Sylvestre Ledru [:sylvestre] 2014-06-23 10:44:40 PDT
I would say Unaffected
Comment 54 User image Marco Mucci [:MarcoM] 2014-06-23 11:13:12 PDT
Removing from Backlog - Neil stated that Bug 994562 was fixed by Bug 1001234 which was in iteration 32.1

Note You need to log in before you can comment on or make changes to this bug.